Index: include/class.user.php
===================================================================
--- include/class.user.php	(revision 3164)
+++ include/class.user.php	(working copy)
@@ -308,10 +308,8 @@
      */
     function createVisitorAccount($role, $projects)
     {
-        global $HTTP_POST_VARS;
-
         // check for double submits
-        if (Auth::userExists($HTTP_POST_VARS["email"])) {
+        if (Auth::userExists($_POST["email"])) {
             return -2;
         }
         $prefs = Prefs::getDefaults($projects);
@@ -326,9 +324,9 @@
                     usr_status
                  ) VALUES (
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Auth::hashPassword(Misc::escapeString($HTTP_POST_VARS["passwd"])) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["full_name"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["email"]) . "',
+                    '" . Auth::hashPassword(Misc::escapeString($_POST["passwd"])) . "',
+                    '" . Misc::escapeString($_POST["full_name"]) . "',
+                    '" . Misc::escapeString($_POST["email"]) . "',
                     '" . Misc::escapeString($prefs) . "',
                     'pending'
                  )";
@@ -343,13 +341,13 @@
                 Project::associateUser($projects[$i], $new_usr_id, $role);
             }
             // send confirmation email to user
-            $hash = md5($HTTP_POST_VARS["full_name"] . md5($HTTP_POST_VARS["email"]) . $GLOBALS["private_key"]);
+            $hash = md5($_POST["full_name"] . md5($_POST["email"]) . $GLOBALS["private_key"]);
 
             $tpl = new Template_API;
             $tpl->setTemplate('notifications/visitor_account.tpl.text');
             $tpl->bulkAssign(array(
                 "app_title"   => Misc::getToolCaption(),
-                "email"     =>  $HTTP_POST_VARS['email'],
+                "email"     =>  $_POST['email'],
                 'hash'      =>  $hash
             ));
             $text_message = $tpl->getTemplateContents();
@@ -358,7 +356,7 @@
             $mail = new Mail_API;
             // need to make this message MIME based
             $mail->setTextBody($text_message);
-            $mail->send($setup["smtp"]["from"], $HTTP_POST_VARS["email"], APP_SHORT_NAME . ": New Account - Confirmation Required");
+            $mail->send($setup["smtp"]["from"], $_POST["email"], APP_SHORT_NAME . ": New Account - Confirmation Required");
             return 1;
         }
     }
@@ -405,12 +403,10 @@
      */
     function confirmNewPassword($email)
     {
-        global $HTTP_POST_VARS;
-
         $usr_id = User::getUserIDByEmail($email);
         // create the new password
-        $HTTP_POST_VARS["new_password"] = substr(md5(microtime() . uniqid("")), 0, 12);
-        $HTTP_POST_VARS["confirm_password"] = $HTTP_POST_VARS["new_password"];
+        $_POST["new_password"] = substr(md5(microtime() . uniqid("")), 0, 12);
+        $_POST["confirm_password"] = $_POST["new_password"];
         User::updatePassword($usr_id, true);
     }
 
@@ -866,8 +862,6 @@
      */
     function changeStatus()
     {
-        global $HTTP_POST_VARS;
-
         // check if the user being inactivated is the last one
         $stmt = "SELECT
                     COUNT(*)
@@ -876,15 +870,15 @@
                  WHERE
                     usr_status='active'";
         $total_active = $GLOBALS["db_api"]->dbh->getOne($stmt);
-        if (($total_active < 2) && ($HTTP_POST_VARS["status"] == "inactive")) {
+        if (($total_active < 2) && ($_POST["status"] == "inactive")) {
             return false;
         }
 
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
                  SET
-                    usr_status='" . $HTTP_POST_VARS["status"] . "'
+                    usr_status='" . $_POST["status"] . "'
                  WHERE
                     usr_id IN ($items)";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -907,15 +901,13 @@
      */
     function updatePassword($usr_id, $send_notification = FALSE)
     {
-        global $HTTP_POST_VARS;
-
-        if ($HTTP_POST_VARS['new_password'] != $HTTP_POST_VARS['confirm_password']) {
+        if ($_POST['new_password'] != $_POST['confirm_password']) {
             return -2;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
                  SET
-                    usr_password='" . Auth::hashPassword($HTTP_POST_VARS["new_password"]) . "'
+                    usr_password='" . Auth::hashPassword($_POST["new_password"]) . "'
                  WHERE
                     usr_id=" . Misc::escapeInteger($usr_id);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -924,7 +916,7 @@
             return -1;
         } else {
             if ($send_notification) {
-                Notification::notifyUserPassword($usr_id, $HTTP_POST_VARS["new_password"]);
+                Notification::notifyUserPassword($usr_id, $_POST["new_password"]);
             }
             return 1;
         }
@@ -940,12 +932,10 @@
      */
     function updateFullName($usr_id)
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
                  SET
-                    usr_full_name='" . Misc::escapeString($HTTP_POST_VARS["full_name"]) . "'
+                    usr_full_name='" . Misc::escapeString($_POST["full_name"]) . "'
                  WHERE
                     usr_id=" . Misc::escapeInteger($usr_id);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -968,12 +958,10 @@
      */
     function updateEmail($usr_id)
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
                  SET
-                    usr_email='" . Misc::escapeString($HTTP_POST_VARS["email"]) . "'
+                    usr_email='" . Misc::escapeString($_POST["email"]) . "'
                  WHERE
                     usr_id=" . Misc::escapeInteger($usr_id);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -995,25 +983,23 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
         // system account should not be updateable
-        if ($HTTP_POST_VARS["id"] == APP_SYSTEM_USER_ID) {
+        if ($_POST["id"] == APP_SYSTEM_USER_ID) {
             return 1;
         }
 
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "user
                  SET
-                    usr_full_name='" . Misc::escapeString($HTTP_POST_VARS["full_name"]) . "',
-                    usr_email='" . Misc::escapeString($HTTP_POST_VARS["email"]) . "'";
-        if (!empty($HTTP_POST_VARS["password"])) {
+                    usr_full_name='" . Misc::escapeString($_POST["full_name"]) . "',
+                    usr_email='" . Misc::escapeString($_POST["email"]) . "'";
+        if (!empty($_POST["password"])) {
             $stmt .= ",
-                    usr_password='" . Auth::hashPassword($HTTP_POST_VARS["password"]) . "'";
+                    usr_password='" . Auth::hashPassword($_POST["password"]) . "'";
         }
         $stmt .= "
                  WHERE
-                    usr_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    usr_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -1023,13 +1009,13 @@
             $stmt = "DELETE FROM
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_user
                      WHERE
-                        pru_usr_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                        pru_usr_id=" . Misc::escapeInteger($_POST["id"]);
             $res = $GLOBALS["db_api"]->dbh->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
             } else {
-                foreach ($HTTP_POST_VARS["role"] as $prj_id => $role) {
+                foreach ($_POST["role"] as $prj_id => $role) {
                     if ($role < 1) {
                         continue;
                     }
@@ -1041,7 +1027,7 @@
                                 pru_role
                              ) VALUES (
                                 " . $prj_id . ",
-                                " . Misc::escapeInteger($HTTP_POST_VARS["id"]) . ",
+                                " . Misc::escapeInteger($_POST["id"]) . ",
                                 " . $role . "
                              )";
                     $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -1051,10 +1037,10 @@
                     }
                 }
             }
-            if (!empty($HTTP_POST_VARS["password"])) {
-                Notification::notifyUserPassword($HTTP_POST_VARS["id"], $HTTP_POST_VARS["password"]);
+            if (!empty($_POST["password"])) {
+                Notification::notifyUserPassword($_POST["id"], $_POST["password"]);
             } else {
-                Notification::notifyUserAccount($HTTP_POST_VARS["id"]);
+                Notification::notifyUserAccount($_POST["id"]);
             }
             return 1;
         }
@@ -1069,10 +1055,8 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
         $projects = array();
-        foreach ($HTTP_POST_VARS["role"] as $prj_id => $role) {
+        foreach ($_POST["role"] as $prj_id => $role) {
             if ($role < 1) {
                 continue;
             }
@@ -1093,9 +1077,9 @@
                     NULL,
                     NULL,
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Auth::hashPassword(Misc::escapeString($HTTP_POST_VARS["password"])) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["full_name"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["email"]) . "',
+                    '" . Auth::hashPassword(Misc::escapeString($_POST["password"])) . "',
+                    '" . Misc::escapeString($_POST["full_name"]) . "',
+                    '" . Misc::escapeString($_POST["email"]) . "',
                     '" . Misc::escapeString($prefs) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -1105,14 +1089,14 @@
         } else {
             $new_usr_id = $GLOBALS["db_api"]->get_last_insert_id();
             // add the project associations!
-            foreach ($HTTP_POST_VARS["role"] as $prj_id => $role) {
+            foreach ($_POST["role"] as $prj_id => $role) {
                 if ($role < 1) {
                     continue;
                 }
                 Project::associateUser($prj_id, $new_usr_id, $role);
             }
             // send email to user
-            Notification::notifyNewUser($new_usr_id, $HTTP_POST_VARS["password"]);
+            Notification::notifyNewUser($new_usr_id, $_POST["password"]);
             return 1;
         }
     }
@@ -1448,4 +1432,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included User Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.release.php
===================================================================
--- include/class.release.php	(revision 3164)
+++ include/class.release.php	(working copy)
@@ -158,9 +158,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         // gotta fix the issues that are using this release
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
@@ -197,21 +195,19 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
-        $scheduled_date = $HTTP_POST_VARS["scheduled_date"]["Year"] . "-" . $HTTP_POST_VARS["scheduled_date"]["Month"] . "-" . $HTTP_POST_VARS["scheduled_date"]["Day"];
+        $scheduled_date = $_POST["scheduled_date"]["Year"] . "-" . $_POST["scheduled_date"]["Month"] . "-" . $_POST["scheduled_date"]["Day"];
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_release
                  SET
-                    pre_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
+                    pre_title='" . Misc::escapeString($_POST["title"]) . "',
                     pre_scheduled_date='" . Misc::escapeString($scheduled_date) . "',
-                    pre_status='" . Misc::escapeString($HTTP_POST_VARS["status"]) . "'
+                    pre_status='" . Misc::escapeString($_POST["status"]) . "'
                  WHERE
-                    pre_prj_id=" . Misc::escapeInteger($HTTP_POST_VARS["prj_id"]) . " AND
-                    pre_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    pre_prj_id=" . Misc::escapeInteger($_POST["prj_id"]) . " AND
+                    pre_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -231,12 +227,10 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
-        $scheduled_date = $HTTP_POST_VARS["scheduled_date"]["Year"] . "-" . $HTTP_POST_VARS["scheduled_date"]["Month"] . "-" . $HTTP_POST_VARS["scheduled_date"]["Day"];
+        $scheduled_date = $_POST["scheduled_date"]["Year"] . "-" . $_POST["scheduled_date"]["Month"] . "-" . $_POST["scheduled_date"]["Day"];
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_release
                  (
@@ -245,10 +239,10 @@
                     pre_scheduled_date,
                     pre_status
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS["prj_id"]) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
+                    " . Misc::escapeInteger($_POST["prj_id"]) . ",
+                    '" . Misc::escapeString($_POST["title"]) . "',
                     '" . Misc::escapeString($scheduled_date) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["status"]) . "'
+                    '" . Misc::escapeString($_POST["status"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -333,4 +327,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Release Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.impact_analysis.php
===================================================================
--- include/class.impact_analysis.php	(revision 3164)
+++ include/class.impact_analysis.php	(working copy)
@@ -55,8 +55,6 @@
      */
     function insert($issue_id)
     {
-        global $HTTP_POST_VARS;
-
         $usr_id = Auth::getUserID();
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_requirement
@@ -69,7 +67,7 @@
                     " . Misc::escapeInteger($issue_id) . ",
                     $usr_id,
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["new_requirement"]) . "'
+                    '" . Misc::escapeString($_POST["new_requirement"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -142,8 +140,6 @@
      */
     function update($isr_id)
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "SELECT
                     isr_iss_id
                  FROM
@@ -153,7 +149,7 @@
         $issue_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
 
         // we are storing minutes, not hours
-        $dev_time = $HTTP_POST_VARS["dev_time"] * 60;
+        $dev_time = $_POST["dev_time"] * 60;
         $usr_id = Auth::getUserID();
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_requirement
@@ -161,7 +157,7 @@
                     isr_updated_usr_id=$usr_id,
                     isr_updated_date='" . Date_API::getCurrentDateGMT() . "',
                     isr_dev_time=$dev_time,
-                    isr_impact_analysis='" . Misc::escapeString($HTTP_POST_VARS["impact_analysis"]) . "'
+                    isr_impact_analysis='" . Misc::escapeString($_POST["impact_analysis"]) . "'
                  WHERE
                     isr_id=" . Misc::escapeInteger($isr_id);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -185,9 +181,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = implode(", ", Misc::escapeInteger($HTTP_POST_VARS["item"]));
+        $items = implode(", ", Misc::escapeInteger($_POST["item"]));
         $stmt = "SELECT
                     isr_iss_id
                  FROM
Index: include/class.status.php
===================================================================
--- include/class.status.php	(revision 3164)
+++ include/class.status.php	(working copy)
@@ -263,9 +263,7 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS['title'])) {
+        if (Validation::isWhitespace($_POST['title'])) {
             return -2;
         }
         $stmt = "INSERT INTO
@@ -277,11 +275,11 @@
                     sta_color,
                     sta_is_closed
                  ) VALUES (
-                    '" . Misc::escapeString($HTTP_POST_VARS['title']) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS['abbreviation']) . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS['rank']) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS['color']) . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS['is_closed']) . "
+                    '" . Misc::escapeString($_POST['title']) . "',
+                    '" . Misc::escapeString($_POST['abbreviation']) . "',
+                    " . Misc::escapeInteger($_POST['rank']) . ",
+                    '" . Misc::escapeString($_POST['color']) . "',
+                    " . Misc::escapeInteger($_POST['is_closed']) . "
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -290,7 +288,7 @@
         } else {
             $new_status_id = $GLOBALS["db_api"]->get_last_insert_id();
             // now populate the project-status mapping table
-            foreach ($HTTP_POST_VARS['projects'] as $prj_id) {
+            foreach ($_POST['projects'] as $prj_id) {
                 Status::addProjectAssociation($new_status_id, $prj_id);
             }
             return 1;
@@ -306,37 +304,35 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  SET
-                    sta_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    sta_abbreviation='" . Misc::escapeString($HTTP_POST_VARS["abbreviation"]) . "',
-                    sta_rank=" . Misc::escapeInteger($HTTP_POST_VARS['rank']) . ",
-                    sta_color='" . Misc::escapeString($HTTP_POST_VARS["color"]) . "',
-                    sta_is_closed=" . Misc::escapeInteger($HTTP_POST_VARS['is_closed']) . "
+                    sta_title='" . Misc::escapeString($_POST["title"]) . "',
+                    sta_abbreviation='" . Misc::escapeString($_POST["abbreviation"]) . "',
+                    sta_rank=" . Misc::escapeInteger($_POST['rank']) . ",
+                    sta_color='" . Misc::escapeString($_POST["color"]) . "',
+                    sta_is_closed=" . Misc::escapeInteger($_POST['is_closed']) . "
                  WHERE
-                    sta_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    sta_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
-            $projects = Status::getAssociatedProjects($HTTP_POST_VARS['id']);
+            $projects = Status::getAssociatedProjects($_POST['id']);
             $current_projects = array_keys($projects);
             // remove all of the associations with projects, then add them all again
-            Status::removeProjectAssociations($HTTP_POST_VARS['id']);
-            foreach ($HTTP_POST_VARS['projects'] as $prj_id) {
-                Status::addProjectAssociation($HTTP_POST_VARS['id'], $prj_id);
+            Status::removeProjectAssociations($_POST['id']);
+            foreach ($_POST['projects'] as $prj_id) {
+                Status::addProjectAssociation($_POST['id'], $prj_id);
             }
             // need to update all issues that are not supposed to have the changed sta_id to '0'
             $removed_projects = array();
             foreach ($current_projects as $project_id) {
-                if (!in_array($project_id, $HTTP_POST_VARS['projects'])) {
+                if (!in_array($project_id, $_POST['projects'])) {
                     $removed_projects[] = $project_id;
                 }
             }
@@ -346,7 +342,7 @@
                          SET
                             iss_sta_id=0
                          WHERE
-                            iss_sta_id=" . Misc::escapeInteger($HTTP_POST_VARS['id']) . " AND
+                            iss_sta_id=" . Misc::escapeInteger($_POST['id']) . " AND
                             iss_prj_id IN (" . implode(', ', $removed_projects) . ")";
                 $res = $GLOBALS["db_api"]->dbh->query($stmt);
                 if (PEAR::isError($res)) {
@@ -366,9 +362,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  WHERE
@@ -378,7 +372,7 @@
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
         } else {
-            Status::removeProjectAssociations($HTTP_POST_VARS['items']);
+            Status::removeProjectAssociations($_POST['items']);
             // also set all issues currently set to these statuses to status '0'
             $stmt = "UPDATE
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
@@ -793,4 +787,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Status Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.notification.php
===================================================================
--- include/class.notification.php	(revision 3164)
+++ include/class.notification.php	(working copy)
@@ -2120,8 +2120,6 @@
      */
     function update($sub_id)
     {
-        global $HTTP_POST_VARS;
-
         $sub_id = Misc::escapeInteger($sub_id);
 
         $stmt = "SELECT
@@ -2133,13 +2131,13 @@
                     sub_id=$sub_id";
         list($issue_id, $usr_id) = $GLOBALS["db_api"]->dbh->getRow($stmt);
 
-        $email = strtolower(Mail_API::getEmailAddress($HTTP_POST_VARS["email"]));
+        $email = strtolower(Mail_API::getEmailAddress($_POST["email"]));
         $usr_id = User::getUserIDByEmail($email);
         if (!empty($usr_id)) {
             $email = '';
         } else {
             $usr_id = 0;
-            $email = Misc::escapeString($HTTP_POST_VARS["email"]);
+            $email = Misc::escapeString($_POST["email"]);
         }
         $prj_id = Issue::getProjectID($issue_id);
 
@@ -2172,8 +2170,8 @@
                         sbt_sub_id=$sub_id";
             $GLOBALS["db_api"]->dbh->query($stmt);
             // now add them all again
-            for ($i = 0; $i < count($HTTP_POST_VARS["actions"]); $i++) {
-                Notification::addType($sub_id, $HTTP_POST_VARS["actions"][$i]);
+            for ($i = 0; $i < count($_POST["actions"]); $i++) {
+                Notification::addType($sub_id, $_POST["actions"][$i]);
             }
             // need to mark the issue as updated
             Issue::markAsUpdated($issue_id);
Index: include/class.resolution.php
===================================================================
--- include/class.resolution.php	(revision 3164)
+++ include/class.resolution.php	(working copy)
@@ -75,9 +75,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         // gotta fix the issues before removing the resolution
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue
@@ -114,17 +112,15 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "resolution
                  SET
-                    res_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "'
+                    res_title='" . Misc::escapeString($_POST["title"]) . "'
                  WHERE
-                    res_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    res_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -220,9 +216,7 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "INSERT INTO
@@ -231,7 +225,7 @@
                     res_title,
                     res_created_date
                  ) VALUES (
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
+                    '" . Misc::escapeString($_POST["title"]) . "',
                     '" . Date_API::getCurrentDateGMT() . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -248,4 +242,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Resolution Class');
 }
-?>
\ No newline at end of file
+?>
